/*****************************************************************************
* SpaCy NLP Pipeline Models                                                  *
* Fetch requests for /contributions/spacy-nlp-pipeline-models routes         *
*****************************************************************************/
Requests.contributions.spacy_nlp_pipeline_models = {};

Requests.contributions.spacy_nlp_pipeline_models.entity = {};

Requests.contributions.spacy_nlp_pipeline_models.entity.delete = (spacyNlpPipelineModelId) => {
  let input = `/contributions/spacy-nlp-pipeline-models/${spacyNlpPipelineModelId}`;
  let init = {
    method: 'DELETE'
  };
  return Requests.JSONfetch(input, init);
};

Requests.contributions.spacy_nlp_pipeline_models.entity.isPublic = {};

Requests.contributions.spacy_nlp_pipeline_models.entity.isPublic.update = (spacyNlpPipelineModelId, value) => {
  let input = `/contributions/spacy-nlp-pipeline-models/${spacyNlpPipelineModelId}/is_public`;
  let init = {
    method: 'PUT',
    body: JSON.stringify(value)
  };
  return Requests.JSONfetch(input, init);
};
